Subject: bug#21789: 25.0.50; Can' build Emacs (my first build since GIT migration)

From: Vincent Belaïche <[email-masked]>
Date: Fri, 30 Oct 2015 23:27:10 +0100

Dear Glenn & Eli,

Just to elaborate a bit more the idea of adding some test into
autogen.sh: autotools are perl and M4 scripts, so, as far as EOLs are
concerned, I think that what is relevant is checking what perl and M4
do.

I don't think that M4 does anything special with the EOL, it just put to
output the same EOL that are in input --- well, maybe my using an MSYS
M4 makes me think so.

So, the thing that really needs to be tested is whether the user is
using an MSYS perl or a native MSW perl.

VBR,
    Vincent Belaïche 

----------------------------------------
> From: [email-masked]
> To: [email-masked]
> CC: [email-masked]; [email-masked]
> Subject: RE: bug#21789: 25.0.50; Can' build Emacs (my first build since GIT migration)
> Date: Fri, 30 Oct 2015 21:41:09 +0100
>
> Dear Glenn,
>
> I don't think that my problem is the toolchain.
>
> But git was not configured for setting attributes to configure.ac to have LF
> EOL's. So when configure.ac was pulled from repo it got native EOL's, ie
> CRLF, and that was the root cause IMHO.
>
> As per your suggestion, I think that what could be tested is that :
>
>    perl -e 'print "\n"'
>
> will output an LF, and not a CRLF.
>
> For instance on my MSYS console I did this :
>
>  $ if perl -e 'print "x\n"' | grep -U '^x$'> /dev/null; then echo "ok"; else echo "not ok"; fi
> -| ok
> $ if /c/Programmes/Perl64/bin/perl.exe -e 'print "x\n"' | grep -U '^x$'> /dev/null; then echo "ok"; else echo "not ok"; fi
> -| not ok
>
> In the former case the MSYS perl is used, so the verdict is OK, and in
> the latter, that is the native MSW perl that is used, so the verdict is
> NOT OK.
>
>    Vincent.
>
> ----------------------------------------
>> From: [email-masked]
>> To: [email-masked]
>> CC: [email-masked]; [email-masked]
>> Subject: Re: bug#21789: 25.0.50; Can' build Emacs (my first build since GIT migration)
>> Date: Fri, 30 Oct 2015 14:42:26 -0400
>>
>> Eli Zaretskii wrote:
>>
>>> Your Automake/Autoconf installation is not an MSYS installation, but a
>>> native Windows one, so it produces Windows CRLF EOLs, and that
>>> confuses all kinds of scripts and/or utilities that are involved in
>>> the configure process.
>>
>> If it is possible to test for that, sounds like autogen.sh should do so
>> and reject those versions of autotools.
>>
>